Mail archive
alpine-aports

[alpine-aports] [PATCH 4/4] testing/platformio: new aport

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Thu, 3 Nov 2016 19:39:10 +0100

---
 testing/platformio/APKBUILD | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)
 create mode 100644 testing/platformio/APKBUILD
diff --git a/testing/platformio/APKBUILD b/testing/platformio/APKBUILD
new file mode 100644
index 0000000..f6a422e
--- /dev/null
+++ b/testing/platformio/APKBUILD
_at_@ -0,0 +1,36 @@
+# Contributor: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
+# Maintainer:
+pkgname=platformio
+pkgver=3.1.0
+pkgrel=0
+pkgdesc="An open source ecosystem for IoT development"
+url="http://platformio.org"
+arch="all"
+license="ASL 2.0"
+depends="python py-bottle py-click5 py-lockfile py-serial
+	py-requests py-colorama py-semanticversion"
+makedepends="python-dev py-setuptools"
+install=""
+subpackages="$pkgname-doc"
+source="$pkgname-$pkgver.tar.gz::https://github.com/$pkgname/$pkgname/archive/v$pkgver.tar.gz"
+builddir="$srcdir/$pkgname-$pkgver"
+
+build() {
+	cd "$builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$builddir"
+	python setup.py install --prefix=/usr \
+		--root="$pkgdir" || return 1
+
+	mkdir -p "$pkgdir"/usr/share/doc/$pkgname/
+	install -m644 CONTRIBUTING.md README.rst HISTORY.rst \
+		"$pkgdir"/usr/share/doc/$pkgname/ || return 1
+
+}
+
+md5sums="ff7a342dacdf212d77b85e5ed277baf8  platformio-3.1.0.tar.gz"
+sha256sums="80b22f4322904648ea4b355935ea9315cfd765c3286022b54b75227e1be03d83  platformio-3.1.0.tar.gz"
+sha512sums="12469a5e9765817d5203577235a8d7a12d8b9fd21281d18507d4d4229f1f1852650436136c0a60073f01e76d2d51813e1448e3a8e73bbd956ab7c8520cc21657  platformio-3.1.0.tar.gz"
-- 
2.10.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Nov 03 2016 - 19:39:10 GMT